package com.developpez.actions;

import java.util.ArrayList;
import com.developpez.beans.Developpeur;
import com.opensymphony.xwork2.ActionSupport;

public class DeveloppeurAction extends ActionSupport {


	private static final long serialVersionUID = 1L;

	private int identifiant;
	private String pseudo;
	private String mail;
	private String codePostal;
	private java.util.Date dateInscription;
	
	private static ArrayList<Developpeur> listDeveloppeurs = new ArrayList<Developpeur>();
	
	public int getIdentifiant() {
		return identifiant;
	}
	public void setIdentifiant(int identifiant) {
		this.identifiant = identifiant;
	}

	public String getPseudo() {
		return pseudo;
	}
	public void setPseudo(String pseudo) {
		this.pseudo = pseudo;
	}


	public String getMail() {
		return mail;
	}

	public void setMail(String mail) {
		this.mail = mail;
	}

	public String getCodePostal(){
		return codePostal;
	}

	public void setCodePostal(String codePostal){
		this.codePostal=codePostal;
	}
	public java.util.Date getDateInscription() {
		return dateInscription;
	}


	public void setDateInscription(java.util.Date dateInscription) {
		this.dateInscription = dateInscription;
	}
	
	public ArrayList<Developpeur> getListDeveloppeurs (){
		return listDeveloppeurs;
	}


	public String enregistrer() {
		
		System.out.println("dans la méthode enregistrer()......");


			Developpeur developpeur = new Developpeur ();
			developpeur.setIdentifiant(identifiant);
			developpeur.setPseudo(pseudo);
			developpeur.setMail(mail);
			developpeur.setCodePostal(codePostal);
			developpeur.setDateInscription(dateInscription);
			
			listDeveloppeurs.add(developpeur);
			addActionMessage(getText("developpez.message.success"));
			return "success";

	}
	
	public String lister(){
		System.out.println("dans la méthode lister().....");

		return "success";
	}

	public String supprimer(){
		System.out.println("dans la méthode supprimer().....");
		listDeveloppeurs.removeAll(getListDeveloppeurs());
		return "success";
	}

}